Subject: Ticket Assigned - Order number 8229340991
From: Homecentre <[email-masked]>
To: [email-masked]
Date: Thu, 04 Feb 2021 05:13:36 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order number 8229340991 Dear sir

I received this damaged mirror on 18 Jan 2021 via your company online shopping and I requested the same day to recollected and refund and until today no one showed up and i made dozen of phone calls and email your call center and nothing happen

I took the mirror to al awgaf branch to return it but the brach manager refuse to collected because it was on line shopping 

Now its 3 weeks no one came to collect it and refund me

This is very bad customer care attitude and i am very upset of this

I need some one to come and collect it and refund me as simple as it is and i have all the rights to complain to Consumer Protection Department for this un accepted attitude 

Regards 

Amina
Consumer Protection Department

Sent from my iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2052892